﻿<ListView x:Class="KiesNet.WPF.Controls.MultipleSelectionListView"
          xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
          xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
          xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
          xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
          xmlns:i="clr-namespace:System.Windows.Interactivity;assembly=System.Windows.Interactivity"
          xmlns:local="clr-namespace:KiesNet.WPF.Controls"
          xmlns:sys="clr-namespace:System;assembly=mscorlib"
          mc:Ignorable="d" 
          d:DesignHeight="300" d:DesignWidth="300"
          x:Name="Self"
          SelectionMode="Multiple"
          ItemTemplate="{DynamicResource MultipleSelectionItemTemplate}">
    <ListView.Resources>
        <ResourceDictionary>
            <Style TargetType="{x:Type ListViewItem}"
                   BasedOn="{StaticResource {x:Type ListViewItem}}">
                <Setter Property="IsSelected" Value="{Binding IsSelected}" />
                <EventSetter Event="MouseDoubleClick" Handler="OnListViewItem_MouseDoubleClick" />
            </Style>

            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="../Resources/ControlStyles.xaml" />
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </ListView.Resources>
</ListView>
